//---------------------------------------------------------------------------
#ifndef MixInstDlgH
#define MixInstDlgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
int __fastcall RunMixmasterInstall(AnsiString mixfile="");

class TMixInstallDlg : public TForm
{
__published:	// IDE-managed Components
  TButton *NextBtn;
  TButton *CancelBtn;
  TPanel *Panel1;
  TLabel *Label1;
  TNotebook *Notebook1;
  TRichEdit *RichEdit1;
  TRichEdit *RichEdit3;
  TRichEdit *RichEdit4;
  TLabel *Label2;
  TEdit *MixDirectory;
  TButton *BrowseBtn;
  TRichEdit *RichEdit2;
  TPanel *Panel2;
  TPaintBox *PaintBox1;
  TButton *BackBtn;
  TCheckBox *ClientBox;
  TMemo *Memo1;
  TLabel *Label3;
  void __fastcall BrowseBtnClick(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall NextBtnClick(TObject *Sender);
  void __fastcall PaintBox1MouseDown(TObject *Sender, TMouseButton Button,
  TShiftState Shift, int X, int Y);
  void __fastcall PaintBox1MouseMove(TObject *Sender, TShiftState Shift, int X,
     int Y);
  void __fastcall PaintBox1MouseUp(TObject *Sender, TMouseButton Button,
     TShiftState Shift, int X, int Y);
  void __fastcall BackBtnClick(TObject *Sender);
  void __fastcall PaintBox1Paint(TObject *Sender);
  void __fastcall CancelBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  bool pendown;
//TList *mousetime;
  TStringList *pencoords;
  double entropy_achieved;
  AnsiString MixZip,MixDir,MixVer;
  virtual __fastcall TMixInstallDlg(TComponent* Owner);
  virtual __fastcall TMixInstallDlg(TComponent* Owner, AnsiString &Mixzip);
  void __fastcall PaintPercent();
  bool __fastcall InstallMixmaster();
  void __fastcall SetCursor(int onpage);
  bool __fastcall CreateMixDirectory(AnsiString mixdir);
  void __fastcall ProcessMixCfg(AnsiString mixcfg);
  bool __fastcall UnpackZipTools(AnsiString &unzipper);
  bool __fastcall UnzipMix(AnsiString &unzipper, AnsiString &mixcfg,
     AnsiString &mixzip, AnsiString &mixdir);
  bool __fastcall InitializeMixmaster(AnsiString &mixexe);
  void __fastcall EnableButtons(bool back, bool next, bool cancel);
//  bool __fastcall copyfile(AnsiString &fromFile, AnsiString &toFile);
//  void __fastcall Rnd_Mouse_Store(int xpos, int ypos);
//  void __fastcall Rnd_Mouse_Now();
};

//class TMouseTime {
//public:
//   int rnd[4];
//   SYSTEMTIME time;
//   __fastcall TMouseTime(int rnd0, int rnd1, int rnd2, int rnd3);
//};
//---------------------------------------------------------------------------
extern TMixInstallDlg *MixInstallDlg;
//---------------------------------------------------------------------------
#endif
