//---------------------------------------------------------------------------
#ifndef DocMsgDlgH
#define DocMsgDlgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
//---------------------------------------------------------------------------
void __fastcall ShowRemailerDocMessage(TStrings *Explain, TStrings *Items,
   AnsiString &Topic, AnsiString &Caption, TForm *Owner,
   bool sorted=true);

class TDocMessageDlg : public TForm
{
__published:	// IDE-managed Components
  TPanel *Panel1;
  TPanel *Panel2;
  TButton *OkBtn;
  TPanel *Panel3;
  TRichEdit *Explain;
  TRichEdit *List;
  TBitBtn *HelpBtn;
  void __fastcall Panel1Click(TObject *Sender);
  void __fastcall FormResize(TObject *Sender);
  void __fastcall HelpBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  AnsiString Topic;
  __fastcall TDocMessageDlg(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TDocMessageDlg *DocMessageDlg;
//---------------------------------------------------------------------------
#endif
