//---------------------------------------------------------------------------
#ifndef pgpmailH
#define pgpmailH
#include "mixmaster.h"
//---------------------------------------------------------------------------
bool __fastcall HasPgp();
bool __fastcall HasPgpSdk();
AnsiString __fastcall PgpDir();
//AnsiString __fastcall PgpPublicRing();
//AnsiString __fastcall PgpSecretRing();
//AnsiString __fastcall PgpRemailRing();

const AnsiString NoNameYet = "nonameyet";
#define UFS "$$$$"
#define CFS "\250" // a field separator when presenting key values

bool  __fastcall PgpInit(HINSTANCE HMixLib, HINSTANCE HSSLLib, TForm *MainForm,
   HWND AppHandle);
void  __fastcall PgpShutDown();
char* __fastcall GetPgpLibVersion();
char* __fastcall GetPgpLibName();

char* __fastcall PgpSignMessage(char *Message);
char* __fastcall PgpEncryptMessage(char *Message);
char* __fastcall PgpEncryptSignMessage(char *Message);
char* __fastcall PgpDecryptVerifyMessage(char *Message, bool ForceDialog);
char* __fastcall PgpVerifyMessage(char *Message); // need to add to QSpgp
bool  __fastcall PgpIsConventional(char* Message);
char* __fastcall PgpArmorBlockToArmorKeysCpk(char *Keys);
bool  __fastcall PgpGetEncryptList(TForm *Owner, TStrings *Recips, bool CanConv);
bool  __fastcall PgpCheckPGP6NeedsUpdate();
bool  __fastcall PgpUpdateQSKeyrings();
char* __fastcall PgpPubringPkr();
char* __fastcall PgpSecringSkr();
void  __fastcall PgpClearPassphraseCache();

typedef void  __fastcall (*PGPINIT)(HINSTANCE, HINSTANCE, TForm*, HWND);
typedef void  __fastcall (*PGPSHUTDOWN)();
typedef char* __fastcall (*GET_PGPLIBVERSION)();
typedef char* __fastcall (*GET_PGPLIBNAME)();

typedef bool  __fastcall (*HASPGPSDK)();
typedef char* __fastcall (*PGP_SIGNMESSAGE)(char*);
typedef char* __fastcall (*PGP_ENCRYPTMESSAGE)(char*);
typedef char* __fastcall (*PGP_ENCRYPTSIGNMESSAGE)(char*);
typedef char* __fastcall (*PGP_DECRYPTVERIFYMESSAGE)(char*,bool);
typedef char* __fastcall (*PGP_VERIFYMESSAGE)(char*);
typedef bool  __fastcall (*PGP_ISCONVENTIONAL)(char*);
typedef char* __fastcall (*PGP_GETARMORKEYS)(char*);
typedef bool  __fastcall (*PGP_GETENCRYPTLIST)(TForm*,TStrings*,bool);
typedef bool  __fastcall (*PGP_CHECKPGP6NEEDSUPDATE)();
typedef bool  __fastcall (*PGP_UPDATEQSKEYRINGS)();
typedef char* __fastcall (*PGP_PUBRINGPKR)();
typedef char* __fastcall (*PGP_SECRINGSKR)();
typedef void  __fastcall (*PGP_CLEARPASSPHRASECACHE)();

//---------------------------------------------------------------------------
extern HINSTANCE hPgpLib;
//extern int pgpcnt;
#endif
